'use strict';

import Layout from '@/layout'
import task from '@/constant/modules/tasks' //引用权限值

const tasksRouter = {
  path: '/tasks',
  sort: 70,
  component: Layout,
  name: '任务管理',
  redirect: '/tasks/list',
  meta: {
    title: '任务管理',
    icon: 'xdicon_rizhi',
    iconSize: 22,
    roles: [task.getAsyncList]
  },
  children: [
    {
      path: 'list',
      name: '任务管理',
      component: () => import ('@/viewTask/list'),
      meta: {
        title: '任务管理',
        icon: 'xdicon_rizhi',
        iconSize: 22,
        roles: [task.getAsyncList]
      }
    }

  ]
}

export default tasksRouter
