'use strict';

import Layout from '@/layout'
import roles from '@/constant/permissions' //引用权限值
const task = roles.tasks;

const tasksRouter = {
  path: '/tasks',
  sort: 70,
  component: Layout,
  name: '任务管理',
  redirect: '/tasks/list',
  meta: {
    title: '任务管理',
    icon: 'xdicon_rizhi',
    iconSize: 22,
    roles: [task.getListTasks]
  },
  children: [
    {
      path: 'list',
      name: '任务管理',
      component: () => import ('@/viewsPack/tasks/list'),
      meta: {
        title: '任务管理',
        icon: 'xdicon_rizhi',
        iconSize: 22,
        roles: [task.getListTasks]
      }
    }

  ]
}

export default tasksRouter
