'use strict';


/**
 * @description 获取列表表格表头
 * @return []
 */
export function getTableHeaders() {
  let header = [
    {"type": "normal", "prop": "id", "align": "center", "width": 120, "label": "ID"},
    {"type": "normal", "prop": "name", "align": "center", "minWidth": 200, "label": "任务名称"},
    {"type": "normal", "prop": "status", "align": "center", "width": 100, "label": "任务状态"},
    {"type": "normal", "prop": "error", "align": "center", "minWidth": 200, "label": "错误原因"},
    {"type": "normal", "prop": "operater", "align": "center", "width": 100, "label": "操作人"},
    {"type": "normal", "prop": "created", "align": "center", "width": 190, "label": "创建时间"},
    {"type": "normal", "prop": "updated", "align": "center", "width": 190, "label": "更新时间"},
    {"type": "normal", "prop": "ended", "align": "center", "width": 190, "label": "结束时间"},
    {
      "type": "operate",
      "align": "center",
      "prop": "operate",
      "width": 130,
      "isCheckHide":true,
      "label": "操作",
      "values": [
        {"ui": "text-button", "name": "停止", "type": "danger"},
        {"ui": "text-button", "name": "下载", "type": "primary"},
        {"ui": "text-button", "name": "重新执行", "type": "default"},
      ]
    }
  ];

  return header

}





